Models
Listar modelos disponibles
Enumera los modelos actualmente disponibles. Proporciona información básica sobre cada modelo, incluyendo su ID y propietario.
GET
/
api
/
v1
/
llm
/
models
Typescript (SDK)
import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.models.list({});
console.log(result);
}
run();package main
import(
"context"
mka1 "github.com/MeetKai/mka1-sdks/go"
"log"
)
func main() {
ctx := context.Background()
s := mka1.New(
mka1.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
res, err := s.Llm.Models.List(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.Object != nil {
// handle response
}
}using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Models.ListAsync();
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.models.list()
# Handle response
print(res)curl --request GET \
--url https://apigw.mka1.com/api/v1/llm/models \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.mka1.com/api/v1/llm/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigw.mka1.com/api/v1/llm/models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://apigw.mka1.com/api/v1/llm/models")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigw.mka1.com/api/v1/llm/models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"id": "meetkai:functionary-urdu-mini-pak",
"object": "model",
"created": 1704067200,
"owned_by": "meetkai",
"model_type": "llm",
"input_modalities": [
"text"
],
"output_modalities": [
"text"
],
"context_window": 32768,
"max_image_resolution": null,
"min_image_resolution": null,
"embedding_dimension_range": null,
"parameter_count": null,
"active_parameter_count": null,
"release_date": null,
"serving_locations": null,
"developer": null,
"base_model": null,
"weights": null,
"license": null,
"languages": null,
"tts": null,
"limitations": null,
"lifecycle": {
"status": "active",
"deprecated_at": null,
"retires_at": null,
"successor": null
},
"capabilities": {
"supports_temperature": true,
"supports_top_p": true,
"supports_reasoning": true,
"supports_reasoning_effort": false,
"supports_structured_outputs": null
}
},
{
"id": "meetkai:embedding",
"object": "model",
"created": 1704067200,
"owned_by": "meetkai",
"model_type": "embeddings",
"input_modalities": [
"text"
],
"output_modalities": [
"text"
],
"context_window": 32000,
"max_image_resolution": null,
"min_image_resolution": null,
"embedding_dimension_range": {
"min": 1,
"max": 4096,
"default": 4096
},
"parameter_count": 7567295488,
"active_parameter_count": null,
"release_date": "2025-06-03",
"serving_locations": [
"aws:us-west-2"
],
"developer": "MeetKai",
"base_model": "publisher/base-model-8b",
"weights": "closed",
"license": "proprietary",
"languages": [
"en",
"uk"
],
"tts": null,
"limitations": "Tuned for function calling; not a general assistant for long-form writing.",
"lifecycle": {
"status": "deprecated",
"deprecated_at": "2026-10-01",
"retires_at": "2027-01-01",
"successor": "meetkai:functionary-v5"
},
"capabilities": {
"supports_temperature": false,
"supports_top_p": false,
"supports_reasoning": false,
"supports_reasoning_effort": false,
"supports_structured_outputs": false
}
},
{
"id": "meetkai:speech",
"object": "model",
"created": 1704067200,
"owned_by": "meetkai",
"model_type": "text_to_speech",
"input_modalities": [
"text"
],
"output_modalities": [
"audio"
],
"context_window": null,
"max_image_resolution": null,
"min_image_resolution": null,
"embedding_dimension_range": null,
"parameter_count": null,
"active_parameter_count": null,
"release_date": null,
"serving_locations": null,
"developer": null,
"base_model": null,
"weights": null,
"license": null,
"languages": [
"en",
"pt"
],
"tts": {
"default_voice": {
"en": "sophia",
"pt": "clara"
},
"voices": [
{
"id": "sophia",
"name": "Sophia",
"language": "en"
},
{
"id": "clara",
"name": "Clara",
"language": "pt"
}
]
},
"limitations": null,
"lifecycle": {
"status": "active",
"deprecated_at": null,
"retires_at": null,
"successor": null
},
"capabilities": {
"supports_temperature": false,
"supports_top_p": false,
"supports_reasoning": false,
"supports_reasoning_effort": false,
"supports_structured_outputs": null
}
}
]
}Autorizaciones
Send Authorization: Bearer , using an MKA1 API key for automation or an OAuth API access token for a signed-in application. Use a dynamic security callback to refresh OAuth access tokens. Browser session-only operations still require their declared cookie.
Encabezados
Optional external end-user identifier forwarded by the API gateway.
¿Esta página le ayudó?
⌘I
Typescript (SDK)
import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.models.list({});
console.log(result);
}
run();package main
import(
"context"
mka1 "github.com/MeetKai/mka1-sdks/go"
"log"
)
func main() {
ctx := context.Background()
s := mka1.New(
mka1.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
res, err := s.Llm.Models.List(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.Object != nil {
// handle response
}
}using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Models.ListAsync();
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.models.list()
# Handle response
print(res)curl --request GET \
--url https://apigw.mka1.com/api/v1/llm/models \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.mka1.com/api/v1/llm/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigw.mka1.com/api/v1/llm/models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://apigw.mka1.com/api/v1/llm/models")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigw.mka1.com/api/v1/llm/models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"id": "meetkai:functionary-urdu-mini-pak",
"object": "model",
"created": 1704067200,
"owned_by": "meetkai",
"model_type": "llm",
"input_modalities": [
"text"
],
"output_modalities": [
"text"
],
"context_window": 32768,
"max_image_resolution": null,
"min_image_resolution": null,
"embedding_dimension_range": null,
"parameter_count": null,
"active_parameter_count": null,
"release_date": null,
"serving_locations": null,
"developer": null,
"base_model": null,
"weights": null,
"license": null,
"languages": null,
"tts": null,
"limitations": null,
"lifecycle": {
"status": "active",
"deprecated_at": null,
"retires_at": null,
"successor": null
},
"capabilities": {
"supports_temperature": true,
"supports_top_p": true,
"supports_reasoning": true,
"supports_reasoning_effort": false,
"supports_structured_outputs": null
}
},
{
"id": "meetkai:embedding",
"object": "model",
"created": 1704067200,
"owned_by": "meetkai",
"model_type": "embeddings",
"input_modalities": [
"text"
],
"output_modalities": [
"text"
],
"context_window": 32000,
"max_image_resolution": null,
"min_image_resolution": null,
"embedding_dimension_range": {
"min": 1,
"max": 4096,
"default": 4096
},
"parameter_count": 7567295488,
"active_parameter_count": null,
"release_date": "2025-06-03",
"serving_locations": [
"aws:us-west-2"
],
"developer": "MeetKai",
"base_model": "publisher/base-model-8b",
"weights": "closed",
"license": "proprietary",
"languages": [
"en",
"uk"
],
"tts": null,
"limitations": "Tuned for function calling; not a general assistant for long-form writing.",
"lifecycle": {
"status": "deprecated",
"deprecated_at": "2026-10-01",
"retires_at": "2027-01-01",
"successor": "meetkai:functionary-v5"
},
"capabilities": {
"supports_temperature": false,
"supports_top_p": false,
"supports_reasoning": false,
"supports_reasoning_effort": false,
"supports_structured_outputs": false
}
},
{
"id": "meetkai:speech",
"object": "model",
"created": 1704067200,
"owned_by": "meetkai",
"model_type": "text_to_speech",
"input_modalities": [
"text"
],
"output_modalities": [
"audio"
],
"context_window": null,
"max_image_resolution": null,
"min_image_resolution": null,
"embedding_dimension_range": null,
"parameter_count": null,
"active_parameter_count": null,
"release_date": null,
"serving_locations": null,
"developer": null,
"base_model": null,
"weights": null,
"license": null,
"languages": [
"en",
"pt"
],
"tts": {
"default_voice": {
"en": "sophia",
"pt": "clara"
},
"voices": [
{
"id": "sophia",
"name": "Sophia",
"language": "en"
},
{
"id": "clara",
"name": "Clara",
"language": "pt"
}
]
},
"limitations": null,
"lifecycle": {
"status": "active",
"deprecated_at": null,
"retires_at": null,
"successor": null
},
"capabilities": {
"supports_temperature": false,
"supports_top_p": false,
"supports_reasoning": false,
"supports_reasoning_effort": false,
"supports_structured_outputs": null
}
}
]
}